Loading...
Searching...
No Matches
abis_rsl_common_hdr Struct Reference
A-bis RSL

RSL common header. More...

`#include <gsm_08_58.h>`

## Data Fields

uint8_t | msg_discr
| message discriminator (ABIS_RSL_MDISC_*)
uint8_t | msg_type
| message type (abis_rsl_msgtype)
uint8_t | data [0]
| actual payload data

## Detailed Description

RSL common header.

## Field Documentation

## data

uint8_t abis_rsl_common_hdr::data[0]

actual payload data

## msg_discr

uint8_t abis_rsl_common_hdr::msg_discr

message discriminator (ABIS_RSL_MDISC_*)

## msg_type

uint8_t abis_rsl_common_hdr::msg_type

message type (abis_rsl_msgtype)

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_58.h